# module OpenSSL::DigestBase

##
Direct including types

- OpenSSL::Digest

##
Defined in:

##
Instance Method Summary

- #<<(data) : Digest

  Reads the io's data and updates the digest with it.

- #base64digest : String

  Returns a base64-encoded digest.

- #digest : Bytes

  Clones and finishes the digest.

- #file(file_name : Path | String) : Digest

  Reads the file's content and updates the digest with it.

- #hexdigest : String

  Returns a hexadecimal-encoded digest.

- #to_s(io : IO) : Nil

  Returns a hexadecimal-encoded digest.

- #update(io : IO) : Digest

  Reads the io's data and updates the digest with it.

##
Instance Method Detail

def <<(data) : Digest #

Reads the io's data and updates the digest with it.

def base64digest : String #

Returns a base64-encoded digest.

def digest : Bytes #

Clones and finishes the digest.

def file(file_name : Path | String) : Digest #

Reads the file's content and updates the digest with it.

def hexdigest : String #

Returns a hexadecimal-encoded digest.

def to_s(io : IO) : Nil #

Returns a hexadecimal-encoded digest.

def update(io : IO) : Digest #

Reads the io's data and updates the digest with it.